<template>
  <div id="app">
    <template v-if="pageLoaded">
      <template v-if="!route.meta.screen">
        <Index ></Index>
      </template>
      <router-view v-else></router-view>
    </template>
  </div>
</template>

<script setup>
import { ref } from 'vue'
import { useRoute } from 'vue-router'
import Index from "./views/index.vue";
import { onMounted } from 'vue';
const route = useRoute()
const pageLoaded = ref(false)
onMounted(() => {
  setTimeout(()=>{
    pageLoaded.value = true
  }, 50)
})
</script>

<style lang="scss" scoped>
#app {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}
</style>
